The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Google представил план окончательного прекращения поддержки NPAPI-плагинов в Chrome

25.11.2014 19:05

Компания Google представила план окончательного прекращения поддержки NPAPI-плагинов в Chrome. Ранее поддержка NPAPI была прекращена в версии для Linux и в 32-разрядных сборках для Windows. В 64-разрядных выпусках для Windows и OS X действует белый список разрешённых NPAPI-плагинов.

Начиная с января 2015 года белый список упраздняется, но браузер по-прежнему будет выводить предупреждение об использовании на сайтах контента, требующего NPAPI-плагинов, и пользователь сможет активировать такие плагины вручную. В апреле все NPAPI-плагины по умолчанию будут отключены и включить NPAPI-плагин можно будет только через расширенные настройки (chrome://flags/#enable-npapi). В сентябре 2015 года поддержка NPAPI будет полностью прекращена. Напомним, что изначальный план подразумевал полное прекращение поддержки NPAPI до конца 2014 года. Наиболее востребованным NPAPI-плагином остаётся Silverlight, которым пользуется около 11% пользователей (год назад 15%), на втором месте Google Talk (7%, год назад 8.7%), затем следуют Java (3.7%, год назад 8.9%), Facebook (3.0%, год назад 6%) и Unity (1.9%, год назад 9.1%).

В качестве причины прекращения поддержки NPAPI упоминается устаревшая архитектура данного API, разработанная более 15 лет назад и не соответствующая современным реалиям. Сегодняшние браузеры стали безопаснее, быстрее и значительно функциональнее своих предшественников. Использование NPAPI приводит к усложнению кода, проблемам с безопасностью и низкой надёжности работы. Кроме того, NPAPI изначально не поддерживается браузерами для мобильных устройств. Вместо NPAPI предлагается использовать такие технологии, как NaCl, Apps, Native Messaging API и LBS (Legacy Browser Support). В качестве основной альтернативы Google продвигает PPAPI (Pepper API), несовместимый с NPAPI и пока не поддерживаемый в других браузерах. Интерфейс PPAPI разработан инженерами Google для устранения проблем с переносимостью и производительностью классического NPAPI, а также для упрощения создания плагинов, работающих в виде отдельных процессов. PPAPI также предоставляет ряд расширенных интерфейсов, связанных с обеспечением работы в плагинах вычислительных, аудио- и графических функций.

  1. Главная ссылка к новости (http://blog.chromium.org/2014/...)
  2. OpenNews: В Firеfox ужесточаются ограничения при показе связанного с плагинами контента
  3. OpenNews: Выпуск web-браузера Chrome 34
  4. OpenNews: Google прекращает в Chrome поддержку NPAPI-плагинов
  5. OpenNews: В Linux-версии Chromium 34 будет прекращена поддержка плагинов Adobe Flash и Java
Лицензия: CC-BY
Тип: К сведению
Короткая ссылка: https://opennet.ru/41127-npapi
Ключевые слова: npapi, chrome
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (25) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, EuPhobos (ok), 19:17, 25/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Давайте убьём один API и предложим взамен 10 молокососов, потому что этот один старыйпердун. Отлично объяснили)
     
  • 1.2, Аноним (-), 19:27, 25/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    NaCl тут причём?
     
     
  • 2.4, pavlinux (ok), 19:33, 25/11/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Что такое NaCl?
     
     
  • 3.7, ZloySergant (ok), 20:14, 25/11/2014 [^] [^^] [^^^] [ответить]  
  • +3 +/
    >Что такое NaCl?

    Хлорид натрия, если чё.

    Всегда Ваш,
    К.О.

     
     
  • 4.9, A.Stahl (ok), 20:26, 25/11/2014 [^] [^^] [^^^] [ответить]  
  • +10 +/
    >К.О.

    Сержант, ну не тянешь ты на капитана... Тоньше надо:
    >Что такое NaCl?

    Поваренная соль.

     
  • 3.26, Аноним (-), 11:30, 26/11/2014 [^] [^^] [^^^] [ответить]  
  • +/
    http://nacl.cr.yp.to/ очевидно же
     
     
  • 4.27, o_O (?), 11:51, 26/11/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    И совсем не понятно  троллинг ли это или ты реально так думаешь..
     
     
  • 5.28, Аноним (-), 12:50, 26/11/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Невнятная аббревиатура, вот я думаю. В смятении я был
     

  • 1.3, pavlinux (ok), 19:29, 25/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    Ура, сервилат забанят!!!
     
     
  • 2.5, A.Stahl (ok), 19:36, 25/11/2014 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Вряд ли смогу себе представить весь спектр эмоций, которые ты чувствуешь при закрытии кладбища. Этот сильверлайт мёртв. Да он по сути мертвым и родился.
     
     
  • 3.12, Аноним (-), 20:45, 25/11/2014 [^] [^^] [^^^] [ответить]  
  • +/
    А EuroSport не в курсе.
     
     
  • 4.13, arisu (ok), 20:46, 25/11/2014 [^] [^^] [^^^] [ответить]  
  • +8 +/
    > А EuroSport не в курсе.

    спорт ещё раньше умер.

     
     
  • 5.31, mine (ok), 16:24, 12/12/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Снукер пока жив.
     

  • 1.6, Аноним (-), 20:00, 25/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А какие браузеры поддерживают PPAPI? Кроме Chrome и Chromium?

     
     
  • 2.14, Аноним (-), 21:02, 25/11/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Хромая опера под виндой уже умеет у меня уже флеш через этот новый апи установился
     
  • 2.15, runoverheads (ok), 21:17, 25/11/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Mozilla is not interested in or working on Pepper at this time. (ц)
     

  • 1.11, Аноним (-), 20:39, 25/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    В линуксе прекращена поддержка в версии 35. Новость про Windows.
     
  • 1.21, Аноним (-), 01:16, 26/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Не понял насчёт 32/64 windows сборок. Думаю что они могли не делать поддержку для 64, а для 32 которая ещё идёт по умолчанию было бы логично не дропать.
    Может тут ошибка?
     
     
  • 2.25, Аноним (-), 08:40, 26/11/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Не понял насчёт 32/64 windows сборок. Думаю что они могли не делать
    > поддержку для 64, а для 32 которая ещё идёт по умолчанию
    > было бы логично не дропать.
    > Может тут ошибка?

    Нет. NPAPI оно всегда умело. Гугл ввел PPAPI через некоторое время после начала дистрибьюции флешплеера.
    Причина: нет возможности делать кроссплатформенные плагины с интерфесом NPAPI. В общем случае сорцы надо переписывать под каждую ось.
    Теперь они навязывают свое решение миру. В целом, в этом PPAPI нет ничего плохого. И навязывают они мягко и поэтапно.

     

  • 1.22, Аноним (-), 03:34, 26/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Из текста новости ясно, что ограничения для NPAPI введены искусственно, и NPAPI фактически поддерживается в Chrome (а значит и в Chromium) до сих пор. Кто-нибудь знает "секретные опции" для сборки, чтобы включить NPAPI для Linux в последних версиях Chromium?
     
  • 1.23, Ilya Indigo (ok), 05:05, 26/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    >на втором месте Google Talk...

    Они свой собственный плагин переписать не могут, но это, конечно же, им не мешает навязывать свой Pepper API остальным.

     
     
  • 2.24, Аноним (-), 08:32, 26/11/2014 [^] [^^] [^^^] [ответить]  
  • +5 +/
    Google Talk убит в пользу Hangouts. С разморозкой.
     

  • 1.29, anonymous (??), 13:15, 26/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    ls www-plugins/
    adobe-flash
    chrome-binary-plugins
    gecko-mediaplayer
    gnash
    google-talkplugin
    kaffeine-mozilla-plugin
    kpartsplugin
    lightspark
    nspluginwrapper
    pipelight

    Вот когда гугл остальные плагины на свой чудесный PPAPI переведёт тогда и можно говорить о его относительной полезности. В частности меня интересует gnash, lightspark, pipelight.

     
  • 1.30, Аноним (-), 17:34, 26/11/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    > Сегодняшние браузеры стали безопаснее, быстрее и значительно функциональнее своих предшественников

    Меня терзают смутные сомнение по всем этим пунктам. Какой ни возьми - сжирает полгига оперативки и 100% процессорного ядра. Может у гугла какие-то особенные браузеры для внутреннего использования есть.

     
  • 1.32, Эдуард (??), 15:27, 18/05/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Под строкой моего браузера GoogleChrome постоянно назойливо появляется  оповещение о том, что загрузить Shockware Flash плагин не удается. Как загрузить этот проклятый плагин, если Гугл отказывает в его загрузке? Ссылка, которая указывается справкой Гугла не работает. Помогите, господа, бедному чайнику. Буду премного благодарен  моему отважному спасителю, если такой найдется.
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру